Skip to main content
GET
/
v1
/
refund_items
List
curl --request GET \
  --url https://{defaultHost}/v1/refund_items \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/refund_items"
  },
  "data": [
    {
      "id": "6e6f5841-0edd-4a70-9227-2fb72bfe3088",
      "object": "refund_item",
      "quantity": 1,
      "restock": false,
      "revoke_purchase": false,
      "line_item": "9bb3d9e6-e3c5-44bf-83e2-7b0e80cdf019",
      "refund": "b701de85-66f0-49f5-b78e-da7b830b06bb",
      "created_at": 1778010916,
      "updated_at": 1778010916
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.surecart.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

refund_ids[]
string[]

Only return objects that belong to the given refunds.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.